Subject: bug#29889: 27.0.50; Slow visual selection

From: Eli Zaretskii <[email-masked]>
Date: Fri, 20 May 2022 16:18:31 +0300

> From: Po Lu <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Fri, 20 May 2022 20:39:43 +0800
> 
> > How do other apps handle request to put huge chunks of text into the
> > primary selection?  If they honor such requests seamlessly and without
> > slowing down the response, why cannot Emacs do the same?
> 
> Those programs only "own" the selection without copying anything.  When
> another program asks for the contents of the selection, they are sent
> directly from the "buffer" containing them.  (That does mean if the
> buffer contents change, so will the contents of the selection.)

What if the buffer is killed?

Anyway, if other applications behave like that, why cannot Emacs do
the same?